---
id: build-read
title: "Read a build"
description: "Read a build by ID."
sidebar_label: "Read a build"
hide_title: true
hide_table_of_contents: true
api: eJzdV21v2zYQ/ivEfVoBxZZfMgwC8iF92ZZ96IrUwYqlQXAWzxZbiVRJKm1q6L8PR8m2ZDtO1r0BAwLFoo53D597463A49JBcg3PK5VLuIlAkkutKr0yGhK4JJQCxZy/ivm9uHg5gAhMSRZZ4kJCAuFjYgklROAorazy95Bcr2BOaMmeVz6D5PqmvomgRIsFebIuCGgsCBJQvFOxvRJ9BhFY+lQpSxISbyuKwKUZFQjJCvx9GXZoT0uyUO8CnmUkLl4KsxA+oxa3N4LRMXL6gkWZEySj8YTxWHKl0Y4c6x7HMf/bV7g5r/iMTrgqTcm5RZWzxtRoT9rzRizLXKVBcPjB8e7VPnIz/0Cp753xuiFgblGnWVBZFIpFUkvoSd4ivziPvnLsotIyIK8a1Eoe4OUJtOzREXUPcPsNajvbhc/Qd1wwp9zopRPe9MxOpqf15uBbc85bpZcHrTWyW/XoHPngFjbkxcKaomcCClSa46Rl9YAnjvB5BMn23I3m3SMfwzQaT3CeMqqSbIG50h+fZnQjzkF9yPbjfGTely4ZDtuVQWqK4Wg8mUJd172QOwBoYWzBX0CipxOvCjpMzdtfT374Ph6Jq9kLwVLOY1EyXZ8z0jsctRb7IMfxeHQS898sjpPw9zvTVZXyz8LTVZ7jnLU2teQvws3RedHCeADzuI+5Z3Af9HF856Lz/nD+wixTTign8Ih8HYG234CBOXp9+fqIdWOXqNXXkPpnowTT1FTan40TLvCuxJTOJkmnPJyNJ9Mk6DkbjScMrK1uT0qCRvYInJK0bDaTrgousNsVpW9La5aWnOOIQZVT6Fubog43nAde+aAqaL9suwSnSB3B9N27/T7xIlekvSBrjRWbtiJkRZyqSt9hrqRQuqy8MFYUyjmll2LbEP+2ZtLQ88JIjv6AByIoyDlc0n776Eg/Xu9/ns3erOlPjSRhqbTkSHs+C3vDlZSqhUpF2uXjOxosB5GYxjE/RvyY8GP6rOe4aRyHQt3D8kAgnIsC00xpOuHezsHb2gq4Qj1M0dPSWPWVXION7B1ZwT6vLPVDZo7ylkkk5zkcG9qeAGJuFS0ikVUF6i2SAznYgGN1azbew3OU4rIx+h544Upj5bMAWb6HPjldaYa49ujjIKVU/BNzIcmjyp3Auan8FtZuKWG/Bjuh4hWYc2ElKQK72qPSJDch3Y3gum4y5PRQhrxt6N/NEKVliHO9FKiFcq4iYZqqe/7mQjgl6X+WGq5LRBsMp5wap/GYH5O+40//u6zgw1qN+W0jdNtQ9q/lx0VrXrSh84plmkzhFZWSuNJ4hyo0r72EObj9H02dcy0qTV9KSj3J9kgmTStrSQ7Em5zQkfD2XuASlRY5erLrrAm4fGZ4pFpSuJfyMJTAMPSg4UrJOgxYfJZmfKps3rnQYakG3MjLHD0nLN/sgIec9Uz2lnOkCe3uZLYhgRVBO2yFmhiEeDIJP35c365++W0GDFfpheHtjKfhazSIBzFsu2czVfI11zhfYMjUdubrTpa7vK+22f7ABNoi9vTFD8u8veEHOlYtbdewVp2oMNhmxnleXq3m6OjK5nXNy58qsjyt3kRwh1Y1t6DrFUjl+LeEZIG5270TdRF+d9lWmGfikenzIOp2EfU9MIS84jeI4CPdN6NxfVNHkBFKsgFZ8+E8Tan0nS17VZFdv4mon17NIALsO3zHwUH7QTirVSMxMx9J1/UGned3BljXfwDGl40q
sidebar_class_name: "get api-method"
info_path: docs/api/build
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a build"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/build/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Read a build by ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the build to read.","example":123}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","required":["id","branch","commit","created_at","status"],"properties":{"id":{"type":"integer","description":"The ID of the build.","example":123},"application_id":{"type":"integer","description":"The ID of the application that the build belongs to.","example":345},"branch":{"type":"string","description":"The branch that the asset was built from.","example":"main"},"commit":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the commit that the build was built from.","example":"123abc"},"permalink":{"type":"string","description":"The permalink to the commit that the asset was built from.","example":"https://example.com/1234"}}},"created_at":{"type":"string","format":"date-time","description":"The ISO-8601 UTC timestamp of when the build was created.","example":"2021-01-01T00:00:00Z"},"updated_at":{"type":"string","format":"date-time","nullable":true,"description":"The ISO-8601 UTC timestamp of when the build was last updated.","example":"2021-01-02T00:00:00Z"},"description":{"type":"string","nullable":true,"description":"A description of the build.","example":"This is a description of the build."},"nrn":{"type":"string","nullable":true,"description":"The NRN of the build.","example":"organization=1:account=2:namespace=3:application=234:build=123"},"status":{"type":"string","description":"The status of the build.","example":"pending","enum":["pending","in_progress","failed","successful"]}},"title":"buildResponse"}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      